Hijri Calendar API
Convert between Gregorian and Hijri calendars, get important Islamic dates, and access Arabic month and day names. Supports bidirectional conversion and important dates lookup.
Convert Date
Convert a Gregorian date to Hijri or get important dates for a Hijri year.
GET
/v1/hijriQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| date | string | Optional | Gregorian date in YYYY-MM-DD format (default: today) |
| year | integer | Optional | Hijri year for important dates lookup |
| lat | float | Optional | Latitude for timezone detection |
| lng | float | Optional | Longitude for timezone detection |
| tz | string | Optional | IANA timezone |
Example Request
curl "https://api.falakapi.com/v1/hijri?date=2025-01-15" \
-H "X-API-Key: fak_your_api_key_here"Example Response
{
"gregorian": {
"date": "2025-01-15",
"day": 15,
"month": 1,
"year": 2025,
"weekday": "Wednesday"
},
"hijri": {
"date": "1446-07-14",
"day": 14,
"month": 7,
"year": 1446,
"month_name": "Rajab",
"month_name_ar": "رجب",
"weekday": "Wednesday",
"weekday_ar": "الأربعاء"
}
}Notes
- •Bidirectional conversion: Gregorian ↔ Hijri
- •Includes Arabic month and day names
- •Supports important Islamic dates lookup by year
- •Uses algorithmic calendar (not observational)
Hijri Months
| Number | English Name | Arabic Name | Notes |
|---|---|---|---|
| 1 | Muharram | محرم | Sacred month |
| 2 | Safar | صفر | - |
| 3 | Rabi' al-Awwal | ربيع الأول | - |
| 4 | Rabi' al-Thani | ربيع الثاني | - |
| 5 | Jumada al-Ula | جمادى الأولى | - |
| 6 | Jumada al-Thani | جمادى الثانية | - |
| 7 | Rajab | رجب | Sacred month |
| 8 | Sha'ban | شعبان | - |
| 9 | Ramadan | رمضان | Fasting month |
| 10 | Shawwal | شوال | Eid al-Fitr |
| 11 | Dhul Qi'dah | ذو القعدة | Sacred month |
| 12 | Dhul Hijjah | ذو الحجة | Sacred month, Hajj, Eid al-Adha |